using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace xamDG_in_xamTabControl
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            ObservableCollection<TestData> internalData = new ObservableCollection<TestData>();
            int magicNumber = 10000;
            for (int i = 0; i < magicNumber / 2; i++)
            {
                internalData.Add(new TestData() { Index = i, Entry = "Bond " + i });
            }

            for (int i = 0; i < magicNumber; i++)
            {
                internalData.Add(new TestData() { Index = i, Entry = "Stock " + i });
            }
            DataContext = internalData;
        }



    }

    public class TestData
    {
        public int Index { get; set; }
        public string Entry { get; set; }
    }
}
